<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик удаления файла большого изображения для электронного товара.
 * 
 * Файл: /admin/shop/action/delete_image_eitem.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
$db = & singleton('DataBase');

///admin/shop/shop.php?action=delete_eitem_image&shop_eitem_id=$shop_eitem_id&shop_shops_id=$shop_shops_id&item_id=$item_id

//$shop = & singleton('shop');
$shop = & singleton('shop');

$kernel = & singleton('kernel');

$shop_eitem_id = to_int($_REQUEST['shop_eitem_id']);

$shop_shops_id = to_int($_REQUEST['shop_shops_id']);

$item_id = to_int($_REQUEST['item_id']);

$eitem_row = $shop->GetEItem($shop_eitem_id);

// Если имя файла не пустое
if ($eitem_row['shop_eitem_filename'] != '') 
{
	// Удаляем из БД
	$param = array();
	
	$param['shop_eitem_id'] = $shop_eitem_id;
	
	$param['shop_eitem_filename'] = '';
	
	$shop->InsertEItem($param);
	
	$ext = $kernel->GetExtension($eitem_row['shop_eitem_filename']);
	
	// Строим путь к файлу 
	$fname = CMS_FOLDER . UPLOADDIR . 'shop_' . $shop_shops_id . '/eitems/item_catalog_' . $item_id . '/' . $shop_eitem_id . '.' . $ext;
	
	if(is_file($fname))
	{
		@unlink($fname);
		@rmdir(CMS_FOLDER . UPLOADDIR . 'shop_' . $shop_shops_id . '/eitems/item_catalog_' . $item_id);
	}
}
?>